<top-progress-bar></top-progress-bar>
<div class="container">
  <nz-layout>
    <div *ngIf="!isMobile" class="hidden__div" style="width: 88px"></div>
    <nz-sider
      class="sidebar__primary {{ sideBarClassMobile }} {{ sideBarClass }}"
      [(nzCollapsed)]="isCollapsed"
      (click)="touchEnter()"
      (mouseenter)="mouseenter()"
      (mouseleave)="mouseLeave()"
      [nzTrigger]="null"
      [nzWidth]="nzWidth"
      [nzCollapsedWidth]="88"
      [ngStyle]="{'z-index': modalRef ? '1000' : '10000'}"
    >
      <a routerLink="/" *ngIf="!isMobile">
        <div class="logo">
          <img
            [src]="isCollapsed ? '/assets/icon/sidebar/logo-collapsed.png' : '/assets/icon/sidebar/logo.png'"
            alt=""
          />
        </div>
      </a>
      <a *ngIf="isMobile">
        <div class="logo">
          <em *ngIf="isMobile" class="fal fa-times" (click)="closeMenuMobile()"></em>
        </div>
      </a>
      <div class="menu-primary">
        <div class="menu__input--search">
          <app-menu-search [isCollapsed]="isCollapsed" (onBlurEvent)="searchMenu($event)"></app-menu-search>
        </div>
        <ul nz-menu nzTheme="dark" [nzInlineCollapsed]="isCollapsed" nzMode="inline" style="margin-bottom: 50px">
          <ng-container
            *ngTemplateOutlet="menuTpl; context: { $implicit: menus, level: 1, showIcon: true }"
          ></ng-container>
          <ng-template #menuTpl let-menus let-level="level" let-showIcon="showIcon">
            <ng-container *ngFor="let menu of menus; trackBy: trackByFn">
              <li
                class="{{ 'level__' + level }} {{
                  menu.id == selectedMenuId
                    ? 'menu-item menu-item-flex ant-menu-item-selected'
                    : 'menu-item menu-item-flex'
                }}"
                *ngIf="menu.subs == null || menu.subs.length == 0"
                nz-menu-item
                [nzMatchRouter]="currentUrl != '/' && this._routerState != '/'"
                nzMatchRouterExact
                style="padding-right: 8px; padding-left: 8px"
              >
                <img alt='' *ngIf="currentUrl !== menu.uri && showIcon" [class]="'img__' + isCollapsed" [src]="menu.iconUri" />
                <img alt='' *ngIf="currentUrl === menu.uri && showIcon" [class]="'img__' + isCollapsed" [src]="menu.iconUri" />
                <a
                  (click)="selectedMenu = menu; openHandler(menu.id); setClassSelected(menu.id); open(menu.uri)"
                  style="{{ 'margin-left:' + (level == 1 ? '0px' : level == 2 ? '5px' : '35px') }}"
                >
                  <em
                    *ngIf="level > 1"
                    class="fas fa-circle"
                    style="{{
                      'color:' +
                        (level == 1 ? '#EBEBEB' : '#D3D6FF') +
                        '; font-size:' +
                        (11 - (level <= 3 ? level : 3)) +
                        'px;width: 20px; margin-right: 8px;'
                    }}"
                  ></em>
                  <span
                    class="span__level--{{ level }} span__id--{{ menu.id }} span__id--parent--{{ menu.parentId }}"
                    style="{{
                      'color:' +
                        (level == 1 ? '#EBEBEB' : '#D3D6FF') +
                        '; font-size:' +
                        (15 - (level <= 3 ? level : 3)) +
                        'px'
                    }}"
                    [innerHTML]="menu.displayName?.trim()"
                  ></span
                ></a>
              </li>
              <li
                class="menu__sub--true {{ 'level__' + level }} {{
                  menu.open && isCollapsed ? 'ant-menu-submenu-open' : ''
                }}"
                *ngIf="menu.subs != null && menu.subs.length > 0"
                nz-submenu
                [(nzOpen)]="openMenuMap[menu.id]"
                (nzOpenChange)="clearMenuOpen(menu)"
                style="{{ 'padding-left:' + (level <= 2 ? '0px' : '29px') }}"
                [nzTitle]="title"
              >
                <ng-template #title>
                  <em
                    *ngIf="level > 1"
                    class="icon__open--menu fal fa-plus menu__icon--sub"
                    style="color: #d3d6ff; font-size: 14px; margin-right: 15px; width: 20px; text-align: center"
                  ></em>
                  <img alt='' *ngIf="showIcon" [class]="'img__' + isCollapsed" [src]="menu.iconUri" />
                  <span
                    *ngIf="!isCollapsed"
                    class="span__level--{{ level }} span__id--{{ menu.id }} span__id--parent--{{ menu.parentId }}"
                    style="{{
                      'color:' +
                        (level == 1 ? '#EBEBEB' : '#D3D6FF') +
                        '; font-size:' +
                        (15 - (level <= 3 ? level : 3)) +
                        'px'
                    }}"
                    [ngStyle]="menu.code === 'GOC_IT' ? {display: 'flex', alignItems: 'center'} : {}"
                  >
                    <span [ngStyle]="{'width': menu.code === 'GOC_IT' ? '70%' : ''}">{{menu.displayName?.trim()}}</span>
                    <span class="noti-custom" *ngIf="menu.code === 'GOC_IT' && countNoti > 0" (click)="showPopUp(footerTmpl)">{{countNoti > 9 ? '+9' : countNoti}}</span>
                  </span>
                </ng-template>
                <ul>
                  <ng-container
                    *ngTemplateOutlet="menuTpl; context: { $implicit: menu.subs, level: level + 1, showIcon: false }"
                  ></ng-container>
                </ul>
              </li>
            </ng-container>
          </ng-template>
        </ul>
      </div>
    </nz-sider>
    <nz-layout class="bg__layout" (click)="touchLeave()" (mouseenter)="mouseLeave()">
      <app-header
        [isCollapsed]="isCollapsed"
        [isMobile]="isMobile"
        [searchResult]="searchResult"
        (headerEventEmit)="headerEventEmit($event)"
      ></app-header>
      <nz-content>
        <nz-breadcrumb *ngIf="currentUrl && currentUrl != '/'" nzSeparator="/">
          <div class="breadcrumb__items">
            <nz-breadcrumb-item>
              <a routerLink="/"
                ><span
                  ><em nz-icon nzType="home" nzTheme="outline" class="icon__home"></em
                  >{{ 'common.breadcrumb.home' | translate }}</span
                ></a
              >
            </nz-breadcrumb-item>
            <nz-breadcrumb-item *ngFor="let breadcrumb of breadcrumbs">
              <a [routerLink]="breadcrumb.disabled ? null : breadcrumb.url"
                ><span>{{ translates(breadcrumb.label) }}</span></a
              >
            </nz-breadcrumb-item>
          </div>
        </nz-breadcrumb>
        <nz-page-header
          *ngIf="currentUrl && currentUrl != '/'"
          class="site-page-header"
          [nzTitle]="pageHeader"
        ></nz-page-header>
        <ng-template #pageHeader>
          <ng-container *ngIf="isNeedShowBackBtn; else noNeedShowBackBtn">
            <div class="pageNameClass">
              <div class="backBtnClass">
                <mb-button
                  [mbButtonType]="'ONLY_ICON'"
                  [mbPrefixIcon]="'arrow-left'"
                  class="btn-back"
                  (click)="onBackClick()"
                >
                </mb-button>
              </div>
              <div [attr.id]="pageName?.replace('.','__')" [innerHTML]="translates(pageName)"></div>
            </div>
          </ng-container>
          <ng-template #noNeedShowBackBtn>
            <div [attr.id]="pageName?.replace('.','__')" [innerHTML]="translates(pageName)"></div>
          </ng-template>
        </ng-template>
        <div
          class="inner-content {{ currentUrl && currentUrl != '/' ? 'inner-content--page' : 'inner-content--no-page' }}"
        >
          <router-outlet></router-outlet>
        </div>
      </nz-content>
    </nz-layout>
  </nz-layout>
</div>
<ng-template #footerTmpl>
  <section class="flex-footer">
    <mb-button mbButtonType="BORDER" mbButtonSize="VERY_LARGE" mbButtonBgColor="#fff" mbButtonTextColor="#141ED2"
               mbButtonText="{{'Chi tiết' | translate}}" (click)="modalRef.getContentComponent().redirectToDetail()"
               customWidth="150px"></mb-button>
    <mb-button mbButtonType="NO_BORDER" (click)="modalRef.destroy()" mbButtonBgColor="#141ED2" customWidth="150px"
               mbButtonSize="VERY_LARGE" mbButtonText="{{'OK' | translate}}" mbButtonTextColor="#fff"
    ></mb-button>
  </section>
</ng-template>
